Name:          yacas
Version:       1.9.1
Release:       1mamba
Summary:       A general purpose easy to use Computer Algebra System
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://yacas.sourceforge.net
Source:        https://github.com/grzegorzmazur/yacas.git/v%{version}/yacas-%{version}.tar.bz2
Source1:       yacaslogo.xpm
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Network
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5PrintSupport
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libQt5Widgets
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: gawk
BuildRequires: python-sphinxcontrib_bibtex-py3
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Yacas (Yet Another Computer Algebra System) is a small and highly flexible computer algebra language. The syntax uses a infix-operator grammar parser. The distribution contains a small library of mathematical functions, but its real strength is in the language in which you can easily write your own symbolic manipulation algorithms.
It supports arbitrary precision arithmetic.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains static libraries and header files needed for development.

%prep
%setup -q 

%build
%cmake -d build \
    -DENABLE_CYACAS_CONSOLE=ON \
    -DENABLE_CYACAS_GUI=ON \
    -DENABLE_CYACAS_UNIT_TESTS=OFF \
    -DENABLE_CYACAS_BENCHMARKS=OFF \
    -DENABLE_JYACAS=OFF \
    -DENABLE_DOCS=OFF \
    -DENABLE_CYACAS_KERNEL=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/yacas-gui.desktop
%{_datadir}/icons/hicolor/*/apps/yacas-gui.png
%{_datadir}/pixmaps/yacas-gui.png

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libyacas.so
%{_libdir}/libyacas_mp.so
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

%changelog
* Thu Dec 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-1mamba
- update to 1.9.1

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic update by autodist

* Wed Feb 12 2014 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Mon Jul 13 2009 Tiziana Ferro <tiziana.ferro@email.it> 1.2.2-1mamba
- update to 1.2.2
- update system menu entry

* Mon Oct 17 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.0.59-1qilnx
- package created by autospec
